// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "main.hpp"
#include "display/RenderHost.hpp"
#include "game/Game.hpp"
#include "asset/AssetDataLoader.hpp"

using namespace Dawn;
std::string executablePath;

FILE * AssetDataLoader::openAssetArchiveFile() {
  std::string path = 
  return fopen((path + "../../assets.tar").c_str(), "rb");
}

int32_t main(int32_t argc, const char **argv) {
  //Set the path
  path = argv[0];

  //Create the game
  auto game = std::make_shared<Game>();
  game->init();

  while(!game->isCloseRequested()) {
    game->update();
  }

  return 0;
}